## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# RHEL 8 envs has slightly different python deps
# and also doesn't support dynamic (build)requires.
%if %{defined rhel} && 0%{?rhel} == 8
%define rhel8_py 1
%endif

%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

%global pypi_dist 4

Name: python-%{pypi_name}
%if %{defined copr_username}
Epoch: 102
%else
Epoch: 3
%endif
# DO NOT TOUCH the Version string!
# The TRUE source of this specfile is:
# https://github.com/containers/podman/blob/main/rpm/python-podman.spec
# If that's what you're reading, Version must be 0, and will be updated by Packit for
# copr and koji builds.
# If you're reading this on dist-git, the version is automatically filled in by Packit.
Version: 5.4.0.1
License: Apache-2.0
Release: %autorelease
Summary: RESTful API for Podman
URL: https://github.com/containers/%{pypi_name}-py
# Tarball fetched from upstream
Source0: %{url}/archive/v%{version}.tar.gz
BuildArch: noarch

%description
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
BuildRequires: git-core
BuildRequires: python%{python3_pkgversion}-devel
%if %{defined rhel8_py}
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-pytoml
BuildRequires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-pytoml
Requires: python%{python3_pkgversion}-requests
%else
BuildRequires: pyproject-rpm-macros
%endif
Provides: %{pypi_name}-py = %{epoch}:%{version}-%{release}
Provides: python%{python3_pkgversion}dist(%{pypi_name}) = %{pypi_dist}
Provides: python%{python3_version}dist(%{pypi_name}) = %{pypi_dist}
Obsoletes: python%{python3_pkgversion}-%{pypi_name}-api <= 0.0.0-1
Provides: python%{python3_pkgversion}-%{pypi_name}-api = %{epoch}:%{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit -n %{pypi_name}-py-%{version}

%if !%{defined rhel8_py}
%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}
%endif

%build
export PBR_VERSION="0.0.0"
%if %{defined rhel8_py}
%py3_build
%else
%pyproject_wheel
%endif

%install
export PBR_VERSION="0.0.0"
%if %{defined rhel8_py}
%py3_install
%else
%pyproject_install
%pyproject_save_files %{pypi_name}
%endif

%check

%if %{defined rhel8_py}
%files -n python%{python3_pkgversion}-%{pypi_name}
%dir %{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}-*-py%{python3_version}.egg-info/*
%dir %{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}/*
%else
%pyproject_extras_subpkg -n python%{python3_pkgversion}-%{pypi_name} progress_bar
%files -n python%{python3_pkgversion}-%{pypi_name} -f %{pyproject_files}
%endif
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Thu Feb 20 2025 Packit <hello@packit.dev> - 3:5.4.0.1-1
- Update to 5.4.0.1 upstream release

* Wed Feb 19 2025 Packit <hello@packit.dev> - 3:5.4.0-1
- Update to 5.4.0 upstream release

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3:5.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 25 2024 Packit <hello@packit.dev> - 3:5.3.0-1
- Update to 5.3.0 upstream release

* Fri Aug 02 2024 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:5.2.0-1
- Bump to v5.2.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3:5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3:5.0.0-2
- Rebuilt for Python 3.13

* Fri Mar 22 2024 Packit <hello@packit.dev> - 3:5.0.0-1
- [packit] 5.0.0 upstream release

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3:4.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Packit <hello@packit.dev> - 3:4.9.0-1
- [packit] 4.9.0 upstream release

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3:4.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Packit <hello@packit.dev> - 3:4.8.2-1
- [packit] 4.8.2 upstream release

* Thu Dec 21 2023 Packit <hello@packit.dev> - 3:4.8.1-1
- [packit] 4.8.1 upstream release

* Wed Nov 29 2023 Packit <hello@packit.dev> - 3:4.8.0.post1-1
- [packit] 4.8.0.post1 upstream release

* Tue Nov 28 2023 Packit <hello@packit.dev> - 3:4.8.0-1
- [packit] 4.8.0 upstream release

* Wed Sep 27 2023 Packit <hello@packit.dev> - 3:4.7.0-1
- [packit] 4.7.0 upstream release

* Mon Jul 24 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.6.0-1
- bump to v4.6.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3:4.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3:4.5.1-4
- Rebuilt for Python 3.12

* Fri Jun 30 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 3:4.5.1-3
- Remove extraneous dependencies

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 3:4.5.1-2
- Rebuilt for Python 3.12

* Wed May 31 2023 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:4.5.1-1
- auto bump to v4.5.1

* Thu Apr 27 2023 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:4.5.0-1
- auto bump to v4.5.0

* Mon Mar 06 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.4.1-2
- migrated to SPDX license

* Tue Feb 21 2023 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:4.4.1-1
- auto bump to v4.4.1

* Thu Feb 09 2023 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.4.0-1
- bump to v4.4.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3:4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 21 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.3.0-1
- bump to v4.3.0

* Fri Oct 07 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-24
- remove unnecessary macros

* Wed Oct 05 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-23
- remove debbuild macros to comply with Fedora guidelines

* Wed Sep 28 2022 Leif Liddy <leif.liddy@gmail.com> - 3:4.2.0-22
- add missing requirements

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-21
- remove conflicts: python3-podman-api

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-20
- also Provides: python3-podman-api

* Thu Sep 15 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-19
- Resolves: 2126942 - obsolete python-podman-api

* Fri Sep 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-18
- Resolves: #2120337

* Wed Aug 17 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.2.0-17
- use easier tag macros to make both fedora and debbuild happy

* Wed Aug 10 2022 RH Container Bot <rhcontainerbot@fedoraproject.org>
- auto bump to v4.2.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix vendor conditional macro

* Tue Jun 14 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- adjust dependencies

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 3:4.0.0-12
- Rebuilt for Python 3.11

* Fri May 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-11
- build deb packages using debbuild

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-10
- adjust toml dep for f35

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-9
- centos8 conditionals for file listings

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-8
- adjust build conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-7
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-6
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-5
- fix conditional

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- fix error in conditionals

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org>
- special conditionals only for rhel8

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-2
- adjust dependencies for centos on podman4 copr

* Wed Mar 09 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:4.0.0-1
- bump to v4.0.0

* Thu Jan 27 2022 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.2.1-3
- switch to autospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3:3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:3.2.1-1
- python-podman-3:3.2.1-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.2.0-2
- update build dir

* Mon Aug 16 2021 RH Container Bot <rhcontainerbot@fedoraproject.org> - 3:3.2.0-1
- python-podman-3:3.2.0-1

* Mon Aug 16 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-4
- update build url format

* Thu Aug 12 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-3
- update macros for rhcontainerbot autobuilds

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3:3.1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3:3.1.2.4-1
- python-podman-3:3.1.2.4-5
- First build shipped in Fedora
## END: Generated by rpmautospec
